#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: semigroupoids
version: 5.2.2
id: semigroupoids-5.2.2-B11JdDZ6D7cHTdTEqlqCPT
key: semigroupoids-5.2.2-B11JdDZ6D7cHTdTEqlqCPT
license: BSD-3-Clause
copyright: Copyright (C) 2011-2015 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
author: Edward A. Kmett
stability: provisional
homepage: http://github.com/ekmett/semigroupoids
synopsis: Semigroupoids: Category sans id
description:
    Provides a wide array of (semi)groupoids and operations for working with them.
    .
    A '\''Semigroupoid'\'' is a '\''Category'\'' without the requirement of identity arrows for every object in the category.
    .
    A '\''Category'\'' is any '\''Semigroupoid'\'' for which the Yoneda lemma holds.
    .
    When working with comonads you often have the @\<*\>@ portion of an @Applicative@, but
    not the @pure@. This was captured in Uustalu and Vene'\''s \"Essence of Dataflow Programming\"
    in the form of the @ComonadZip@ class in the days before @Applicative@. Apply provides a weaker invariant, but for the comonads used for data flow programming (found in the streams package), this invariant is preserved. Applicative function composition forms a semigroupoid.
    .
    Similarly many structures are nearly a comonad, but not quite, for instance lists provide a reasonable '\''extend'\'' operation in the form of '\''tails'\'', but do not always contain a value.
    .
    Ideally the following relationships would hold:
    .
    > Foldable ----> Traversable <--- Functor ------> Alt ---------> Plus           Semigroupoid
    >      |               |            |                              |                  |
    >      v               v            v                              v                  v
    > Foldable1 ---> Traversable1     Apply --------> Applicative -> Alternative      Category
    >                                   |               |              |                  |
    >                                   v               v              v                  v
    >                                 Bind ---------> Monad -------> MonadPlus          Arrow
    >
    .
    Apply, Bind, and Extend (not shown) give rise the Static, Kleisli and Cokleisli semigroupoids respectively.
    .
    This lets us remove many of the restrictions from various monad transformers
    as in many cases the binding operation or @\<*\>@ operation does not require them.
    .
    Finally, to work with these weaker structures it is beneficial to have containers
    that can provide stronger guarantees about their contents, so versions of '\''Traversable'\''
    and '\''Foldable'\'' that can be folded with just a '\''Semigroup'\'' are added.
category: Control, Comonads
abi: e0d81ae10f5e05a0a621eebf0f7f02c6
exposed: True
exposed-modules:
    Data.Bifunctor.Apply Data.Functor.Alt Data.Functor.Apply
    Data.Functor.Bind Data.Functor.Bind.Class Data.Functor.Bind.Trans
    Data.Functor.Extend Data.Functor.Plus Data.Groupoid
    Data.Isomorphism Data.Semigroup.Bifoldable
    Data.Semigroup.Bitraversable Data.Semigroup.Foldable
    Data.Semigroup.Foldable.Class Data.Semigroup.Traversable
    Data.Semigroup.Traversable.Class Data.Semigroupoid
    Data.Semigroupoid.Dual Data.Semigroupoid.Ob
    Data.Semigroupoid.Static Data.Traversable.Instances
import-dirs: /usr/lib/ghc-8.4.2/site-local/semigroupoids-5.2.2
library-dirs: /usr/lib/ghc-8.4.2/site-local/semigroupoids-5.2.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/semigroupoids-5.2.2
hs-libraries: HSsemigroupoids-5.2.2-B11JdDZ6D7cHTdTEqlqCPT
depends:
    base-4.11.1.0 base-orphans-0.7-2rnBC8i8xg4MGwTKD2Jdu
    bifunctors-5.5.2-FALuvalrkCYDSWDKgLFo3g template-haskell-2.13.0.0
    transformers-0.5.5.0
    transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W
    containers-0.5.11.0 contravariant-1.4.1-HAsNOXS6UjNLhhUqovtoIr
    distributive-0.5.3-9MdvwInveuHGE7GtkRPJsH
    comonad-5.0.3-9K6VyUeGh832EEV4hnTb9f
    tagged-0.8.5-8zhZJ4AR6AIK89q9NUJ4H
    hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg
    unordered-containers-0.2.9.0-A3KBTFupd4vFLOQxsI6884
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             base-orphans-0.7-2rnBC8i8xg4MGwTKD2Jdu=b1a1a3f2178835e8693751899a3f53fd
             bifunctors-5.5.2-FALuvalrkCYDSWDKgLFo3g=94384e69985596be7257f4dfe5936106
             template-haskell-2.13.0.0=b25d144eee230069f091d0d8982b331b
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
             transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W=63a0e01576545fb684fe201dfb63f95d
             containers-0.5.11.0=f8334bacfaf0e925ca7b24fb26fb2e66
             contravariant-1.4.1-HAsNOXS6UjNLhhUqovtoIr=04645be8e0f7a088e75577517e101117
             distributive-0.5.3-9MdvwInveuHGE7GtkRPJsH=70947fba56b4e7ed940ce91990092b22
             comonad-5.0.3-9K6VyUeGh832EEV4hnTb9f=ef79aa6979c9c3e54940b3c08a6351c1
             tagged-0.8.5-8zhZJ4AR6AIK89q9NUJ4H=9cfccdbb0f679fbc0a04182b333a8da7
             hashable-1.2.7.0-KBRKfoLB8Vi3u8lTX7XQlg=0e3ad496fde59157bcd6a630b4b29548
             unordered-containers-0.2.9.0-A3KBTFupd4vFLOQxsI6884=c76b79dc8a56ff4425c082d0052b04f4
haddock-interfaces: /usr/share/doc/haskell-semigroupoids/html/semigroupoids.haddock
haddock-html: /usr/share/doc/haskell-semigroupoids/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

